package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsSensitiveWords;

/**
 * 常见错误Service接口
 * 
 * @author ruoyi
 * @date 2025-03-17
 */
public interface ITrsSensitiveWordsService 
{
    /**
     * 查询常见错误
     * 
     * @param id 常见错误主键
     * @return 常见错误
     */
    public TrsSensitiveWords selectTrsSensitiveWordsById(Long id);

    /**
     * 查询常见错误列表
     * 
     * @param trsSensitiveWords 常见错误
     * @return 常见错误集合
     */
    public List<TrsSensitiveWords> selectTrsSensitiveWordsList(TrsSensitiveWords trsSensitiveWords);

    /**
     * 新增常见错误
     * 
     * @param trsSensitiveWords 常见错误
     * @return 结果
     */
    public int insertTrsSensitiveWords(TrsSensitiveWords trsSensitiveWords);

    /**
     * 修改常见错误
     * 
     * @param trsSensitiveWords 常见错误
     * @return 结果
     */
    public int updateTrsSensitiveWords(TrsSensitiveWords trsSensitiveWords);

    /**
     * 批量删除常见错误
     * 
     * @param ids 需要删除的常见错误主键集合
     * @return 结果
     */
    public int deleteTrsSensitiveWordsByIds(String ids);

    /**
     * 删除常见错误信息
     * 
     * @param id 常见错误主键
     * @return 结果
     */
    public int deleteTrsSensitiveWordsById(Long id);

    String importWords(List<TrsSensitiveWords> wordList, boolean updateSupport);
}
